function [ DmuDyL] = DmuDyLowLevLagrangeFun(obj,i,x,y,mu)
    %Returns the derivative with respect to first y ant then mu of  the 
    %largrange function for the i-th lower level problem. The first
    %elements of mu correspond to the constraints u. The next to the linear
    %constraint, then come the upper bounds and the last elements belong to
    %the lower bounds. The bounds which are inf or -inf are dropped.

    %objective Function for the i-th LowerLevelProblem
    %For adding the constraints find the index of the IndexSet
    indexSet=obj.getIndexSetOfSemiInfConstr(i);
    
    DmuDyL=-obj.DyAllLowLevConstrs(indexSet,x,y)';
%     %saves the number of already added constraints
%     %Add the non linear constraints
%     if obj.nrOfLowLevNonlinConstrs(indexSet)>0
%         DmuDyL=[DmuDyL;-obj.DyLowLevNonlinConstrs(indexSet,x,y)];
%     end
% 
%     %Add the linear constraints    
%     [A,b]=obj.getLinIneqsOnLowLevVars(indexSet,x);
%     DmuDyL=[DmuDyL;-A];
%     
%     %Add the boundaries
%     [lb,ub]=obj.getBoundsOnLowLevVars(indexSet,x);
%     constrlb=lb-y;
%     %drop the boundaries with -inf
%     constrlb=constrlb(constrlb~=-inf);
%     Dconstrlb=-eye(obj.nrOfLowLevVars);
%     Dconstrlb=Dconstrlb(constrlb~=-inf,:);
%     DmuDyL=[DmuDyL;-Dconstrlb];
%     
%     construb=y-ub;
%     construb=construb(construb~=-inf);
%     Dconstrub=-eye(obj.nrOfLowLevVars);
%     Dconstrub=Dconstrub(construb~=-inf,:);
%     DmuDyL=[DmuDyL;Dconstrub];

end

