function [ DxDyL ] = DxDyLowLevLagrangeFun(obj,i,x,y,mu)
    %Returns the derivative with respect to first y ant then x of  the 
    %largrange function for the i-th lower level problem. The first
    %elements of mu correspond to the constraints u. The next to the linear
    %constraint, then come the upper bounds and the last elements belong to
    %the lower bounds. The bounds which are inf or -inf are dropped.

    %objective Function for the i-th LowerLevelProblem
    DxDyL=obj.DxDySemiInfConstrs(i,x,y);
    %For adding the constraints find the index of the IndexSet
    indexSet=obj.getIndexSetOfSemiInfConstr(i);
    DxDyu=obj.DxDyAllLowLevConstrs(indexSet,x,y); 
    newSize=size(DxDyu);
    for j=1:obj.getNrAllLowLevConstrs(i)
        DxDyL=DxDyL-mu(j)*reshape(DxDyu(j,:,:),newSize(2:3));
    end
%     %saves the number of already added constraints
%     ID=0;
%     %Add the non linear constraints
%     if obj.nrOfLowLevNonlinConstrs(indexSet)>0
%         DxDyu=reshape(obj.DxDyLowLevNonlinConstrs(indexSet,x,y),...
%             [obj.nrOfLowLevVars,obj.nrOfLowLevNonlinConstrs*obj.nrOfUppLevVars]);
%         %Vector for the index
%         indexVector=(0:(obj.nrOfUppLevVars-1))*obj.nrOfLowLevNonlinConstrs;
%         for i=1:obj.nrOfLowLevNonlinConstrs(indexSet);
%             DxDyL=DxDyL-mu(i)*DxDyu(:,indexVector+i)';            
%         end
%         ID=ID+obj.nrOfLowLevNonlinConstrs(indexSet);
%     end
% 
%     %Add the linear constraints    
%     [A,b]=obj.getLinIneqsOnLowLevVars(indexSet,x);
%     [DxA,Dxb]=obj.DxLinIneqsOnLowLevVars(indexSet,x);
%     nrLinIneqs=size(A,1);
%     DxAAsMatrix=reshape(DxA,[obj.nrOfUppLevVars*nrLinIneqs,obj.nrOfLowLevVars]);
%     %vector to extract right rows
%     indexVector=(0:(obj.nrOfUppLevVars-1))*nrLinIneqs;
%     for i=1:nrLinIneqs
%         DxDyL=DxDyL-mu(ID+i)*DxAAsMatrix(indexVector+i,:)';
%     end    
%     %The constraints corresponding to the boundaries vanish.
end

