function [ DyDyL ] = DyDyLowLevLagrangeFun(obj,i,x,y,mu)

    %Returns the 2nd derivative with respect to y of  the largrange function 
    %for the i-th lower level problem. The first elements of mu correspond 
    %to the constraints u. The next to the linear constraint, then come the
    %upper bounds and the last elements belong to the lower bounds. 
    %The bounds which are inf or -inf are dropped.

    %objective Function for the i-th LowerLevelProblem
    DyDyL=obj.DyDySemiInfConstrs(i,x,y);
    %For adding the constraints find the index of the IndexSet
    indexSet=obj.getIndexSetOfSemiInfConstr(i);
    DyDyu=obj.DyDyAllLowLevConstrs(indexSet,x,y);  
    newSize=size(DyDyu);
    for j=1:obj.getNrAllLowLevConstrs(i)
        DyDyL=DyDyL-mu(j)*reshape(DyDyu(j,:,:),newSize(2:3));
    end
%     indexSet=obj.getIndexSetOfSemiInfConstr(i);
%     %Add the non linear constraints
%     DyDyu=obj.DyDyLowLevNonlinConstrs(indexSet,x,y);
%     DyDyuAsMatrix=reshape(DyDyu,[obj.nrOfLowLevNonlinConstrs*obj.nrOfLowLevVars,obj.nrOfLowLevNonlinConstrs]);
%     %Vector for indices
%     indexVector=(0:(obj.nrOfLowLevVars-1))*obj.nrOfLowLevNonlinConstrs;
%     if obj.nrOfLowLevNonlinConstrs(indexSet)>0
%         for i=1:obj.nrOfLowLevNonlinConstrs
%             DyDyL=DyDyL-mu(i)*DyDyuAsMatrix(indexVector+i,:);
%         end    
%     end
%     %The linear constraints and the bboundaries vanish in the second 
%     %derivative   
end

